Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1718591

Summary: [KDE] firefox-wayland-67.0-4.fc30 segmentation faults when closing
Product: [Fedora] Fedora Reporter: Matt Fagnani <matt.fagnani>
Component: firefoxAssignee: Gecko Maintainer <gecko-bugs-nobody>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 30CC: 0xalen+redhat, anto.trande, gecko-bugs-nobody, jhorak, john.j5live, kengert, pjasicek, rhughes, rstrode, sandmann, stransky
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-05-26 17:47:39 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1054334    

Description Matt Fagnani 2019-06-08 21:28:05 UTC
Description of problem:

I booted the F30 KDE Plasma spin, and I logged into Plasma 5.15.5 on Wayland from sddm 0.18.1. I installed the firefox-wayland-67.0-4 rpm. I added the Firefox on Wayland icon from the menu to the desktop. I ran Firefox on Wayland. Firefox on Wayland was frequently unresponsive. I loaded the Troubleshooting information screen. I closed Firefox. coredumpctl showed segmentation faults of Firefox 4 of 4 times after I closed it. abrt ran gdb on the core dump, and gdb used about 6-7 GB of memory. I logged out of Plasma and stopped sddm and other processes. gdb didn't finish after 1.5 hours so I stopped it. When I ran coredumpctl debug on the core dumps, gdb used about 7 GB of ram. I haven't been able to get a trace in gdb yet for those reasons. I've installed the firefox, glibc, glib2, nspr, mesa, pulseaudio debug rpms for the programs in the traces. The traces shown by coredumpctl info were all like the following:

Process 5098 (firefox) of user 1000 dumped core.
                
                Stack trace of thread 5341:
                #0  0x00007f173619bd15 raise (libpthread.so.0)
                #1  0x00007f172f0a5061 _ZN13nsProfileLock18FatalSignalHandlerEiP9siginfo_tPv (libxul.so)
                #2  0x00007f172eec9436 _ZL15WasmTrapHandleriP9siginfo_tPv.lto_priv.0 (libxul.so)
                #3  0x00007f173619be80 __restore_rt (libpthread.so.0)
                #4  0x00007f172ec0bb4a _ZN7mozilla12_GLOBAL__N_111RunWatchdogEPv.lto_priv.0.cold (libxul.so)
                #5  0x00007f17359e38a9 n/a (libnspr4.so)
                #6  0x00007f17361915a2 start_thread (libpthread.so.0)
                #7  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5098:
                #0  0x00007f1736192ad8 __GI___pthread_timedjoin_ex (libpthread.so.0)
                #1  0x00007f1731452647 _ZN4base6Thread4StopEv (libxul.so)
                #2  0x00007f17303802ef _ZN14GtkVsyncSource10GLXDisplay8ShutdownEv (libxul.so)
                #3  0x00007f17314d7b83 _ZN22nsComponentManagerImpl8ShutdownEv (libxul.so)
                #4  0x00007f173142040f _ZN7mozilla13ShutdownXPCOMEP17nsIServiceManager (libxul.so)
                #5  0x00007f17313f1f18 _ZN18ScopedXPCOMStartupD1Ev (libxul.so)
                #6  0x00007f173090a820 _Z8XRE_mainiPPcRKN7mozilla15BootstrapConfigE (libxul.so)
                #7  0x0000561ef70dd764 do_main (firefox)
                #8  0x0000561ef70d9403 main (firefox)
                #9  0x00007f1735c74f33 __libc_start_main (libc.so.6)
                #10 0x0000561ef70d5b9e _start (firefox)
                
                Stack trace of thread 5126:
                #0  0x00007f1735d415c7 __GI___poll (libc.so.6)
                #1  0x00007f17347091de g_main_context_poll (libglib-2.0.so.0)
                #2  0x00007f1734709313 g_main_context_iteration (libglib-2.0.so.0)
                #3  0x00007f1734709361 glib_worker_main (libglib-2.0.so.0)
                #4  0x00007f17347324e2 g_thread_proxy (libglib-2.0.so.0)
                #5  0x00007f17361915a2 start_thread (libpthread.so.0)
                #6  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5134:
                #0  0x00007f17361974d5 futex_wait_cancelable (libpthread.so.0)
                #1  0x0000561ef70e2d6a _ZN7mozilla6detail21ConditionVariableImpl4waitERNS0_9MutexImplE (firefox)
                #2  0x0000561ef70e2c08 _ZN7mozilla6detail21ConditionVariableImpl8wait_forERNS0_9MutexImplERKNS_16BaseTimeDurationINS_27TimeDurationValueCalculatorEEE (firefox)
                #3  0x00007f17309576ad _ZN2js12HelperThread10threadLoopEv (libxul.so)
                #4  0x00007f17309573ba _ZN2js12HelperThread10ThreadMainEPv (libxul.so)
                #5  0x00007f173095734f _ZN2js6detail16ThreadTrampolineIRFvPvEJPNS_12HelperThreadEEE5StartES2_ (libxul.so)
                #6  0x00007f17361915a2 start_thread (libpthread.so.0)
                #7  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5146:
                #0  0x00007f17361974d5 futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f173173c6c9 _ZN14tokio_executor4park5Inner4park17h1d6b99a1f52c848dE (libxul.so)
                #2  0x00007f173173c545 _ZN79_$LT$tokio_executor..park..ParkThread$u20$as$u20$tokio_executor..park..Park$GT$4park17h2bb39997fccb84a2E (libxul.so)
                #3  0x00007f1731729227 _ZN90_$LT$tokio_timer..timer..Timer$LT$T$C$$u20$N$GT$$u20$as$u20$tokio_executor..park..Park$GT$4park17h7103d76dcb36ac03E (libxul.so)
                #4  0x00007f1731728a8d _ZN10tokio_core7reactor4Core4poll17h18d4560c5e3ea816E (libxul.so)
                #5  0x00007f17316e7db9 _ZN3std10sys_common9backtrace28__rust_begin_short_backtrace17h1943ed74c4954f38E (libxul.so)
                #6  0x00007f17316e6c1c _ZN50_$LT$F$u20$as$u20$alloc..boxed..FnBox$LT$A$GT$$GT$8call_box17h32a695bea8252c45E (libxul.so)
                #7  0x00007f1731d4ba15 _ZN3std3sys4unix6thread6Thread3new12thread_start17hd5dd03146110bb0fE (libxul.so)
                #8  0x00007f17361915a2 start_thread (libpthread.so.0)
                #9  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5128:
                #0  0x00007f1735d415c7 __GI___poll (libc.so.6)
                #1  0x00007f17347091de g_main_context_poll (libglib-2.0.so.0)
                #2  0x00007f17347095a3 g_main_loop_run (libglib-2.0.so.0)
                #3  0x00007f1734ad7d8a gdbus_shared_thread_func (libgio-2.0.so.0)
                #4  0x00007f17347324e2 g_thread_proxy (libglib-2.0.so.0)
                #5  0x00007f17361915a2 start_thread (libpthread.so.0)
                #6  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5148:
                #0  0x00007f17361974d5 futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f173173c6c9 _ZN14tokio_executor4park5Inner4park17h1d6b99a1f52c848dE (libxul.so)
                #2  0x00007f173173c545 _ZN79_$LT$tokio_executor..park..ParkThread$u20$as$u20$tokio_executor..park..Park$GT$4park17h2bb39997fccb84a2E (libxul.so)
                #3  0x00007f1731729227 _ZN90_$LT$tokio_timer..timer..Timer$LT$T$C$$u20$N$GT$$u20$as$u20$tokio_executor..park..Park$GT$4park17h7103d76dcb36ac03E (libxul.so)
                #4  0x00007f1731728a8d _ZN10tokio_core7reactor4Core4poll17h18d4560c5e3ea816E (libxul.so)
                #5  0x00007f17316e7db9 _ZN3std10sys_common9backtrace28__rust_begin_short_backtrace17h1943ed74c4954f38E (libxul.so)
                #6  0x00007f17316e6c1c _ZN50_$LT$F$u20$as$u20$alloc..boxed..FnBox$LT$A$GT$$GT$8call_box17h32a695bea8252c45E (libxul.so)
                #7  0x00007f1731d4ba15 _ZN3std3sys4unix6thread6Thread3new12thread_start17hd5dd03146110bb0fE (libxul.so)
                #8  0x00007f17361915a2 start_thread (libpthread.so.0)
                #9  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5131:
                #0  0x00007f17361974d5 futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f17359ddab8 PR_WaitCondVar (libnspr4.so)
                #2  0x00007f172e7c9fc8 _ZL12WatchdogMainPv.cold (libxul.so)
                #3  0x00007f17359e38a9 n/a (libnspr4.so)
                #4  0x00007f17361915a2 start_thread (libpthread.so.0)
                #5  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5129:
                #0  0x00007f1735d415c7 __GI___poll (libc.so.6)
                #1  0x00007f17347091de g_main_context_poll (libglib-2.0.so.0)
                #2  0x00007f1734709313 g_main_context_iteration (libglib-2.0.so.0)
                #3  0x00007f171fcc3a9d dconf_gdbus_worker_thread (libdconfsettings.so)
                #4  0x00007f17347324e2 g_thread_proxy (libglib-2.0.so.0)
                #5  0x00007f17361915a2 start_thread (libpthread.so.0)
                #6  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5130:
                #0  0x00007f1735d46fad syscall (libc.so.6)
                #1  0x00007f173091e30b epoll_wait (libxul.so)
                #2  0x00007f173091e22b epoll_dispatch (libxul.so)
                #3  0x00007f173091e089 event_base_loop (libxul.so)
                #4  0x00007f173091d7f3 _ZN4base19MessagePumpLibevent3RunEPNS_11MessagePump8DelegateE (libxul.so)
                #5  0x00007f173091d729 _ZN11MessageLoop3RunEv (libxul.so)
                #6  0x00007f173091c63e _ZN4base6Thread10ThreadMainEv (libxul.so)
                #7  0x00007f173091c53b _ZL10ThreadFuncPv (libxul.so)
                #8  0x00007f17361915a2 start_thread (libpthread.so.0)
                #9  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5159:
                #0  0x00007f173619b2c5 __GI___nanosleep (libpthread.so.0)
                #1  0x00007f17306da27f _ZN14PlatformThread5SleepEi (libxul.so)
                #2  0x00007f17303719ce _ZN14GtkVsyncSource10GLXDisplay15RunVsyncWaylandEv (libxul.so)
                #3  0x00007f1730361868 _ZN7mozilla6detail18RunnableMethodImplIPN14GtkVsyncSource10GLXDisplayEMS3_FvvELb1ELNS_12RunnableKindE0EJEE3RunEv (libxul.so)
                #4  0x00007f1730e0a0c9 _ZN4base18MessagePumpDefault3RunEPNS_11MessagePump8DelegateE (libxul.so)
                #5  0x00007f173091d729 _ZN11MessageLoop3RunEv (libxul.so)
                #6  0x00007f173091c63e _ZN4base6Thread10ThreadMainEv (libxul.so)
                #7  0x00007f173091c53b _ZL10ThreadFuncPv (libxul.so)
                #8  0x00007f17361915a2 start_thread (libpthread.so.0)
                #9  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5147:
                #0  0x00007f1735d46fad syscall (libc.so.6)
                #1  0x00007f173091e30b epoll_wait (libxul.so)
                #2  0x00007f1731735339 _ZN3std10sys_common9backtrace28__rust_begin_short_backtrace17h176d60645bde5d30E (libxul.so)
                #3  0x00007f1731734faf _ZN50_$LT$F$u20$as$u20$alloc..boxed..FnBox$LT$A$GT$$GT$8call_box17h7aaef766e7b5b85eE (libxul.so)
                #4  0x00007f1731d4ba15 _ZN3std3sys4unix6thread6Thread3new12thread_start17hd5dd03146110bb0fE (libxul.so)
                #5  0x00007f17361915a2 start_thread (libpthread.so.0)
                #6  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5133:
                #0  0x00007f17361974d5 futex_wait_cancelable (libpthread.so.0)
                #1  0x0000561ef70e2d6a _ZN7mozilla6detail21ConditionVariableImpl4waitERNS0_9MutexImplE (firefox)
                #2  0x0000561ef70e2c08 _ZN7mozilla6detail21ConditionVariableImpl8wait_forERNS0_9MutexImplERKNS_16BaseTimeDurationINS_27TimeDurationValueCalculatorEEE (firefox)
                #3  0x00007f17309576ad _ZN2js12HelperThread10threadLoopEv (libxul.so)
                #4  0x00007f17309573ba _ZN2js12HelperThread10ThreadMainEPv (libxul.so)
                #5  0x00007f173095734f _ZN2js6detail16ThreadTrampolineIRFvPvEJPNS_12HelperThreadEEE5StartES2_ (libxul.so)
                #6  0x00007f17361915a2 start_thread (libpthread.so.0)
                #7  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5132:
                #0  0x00007f17361974d5 futex_wait_cancelable (libpthread.so.0)
                #1  0x0000561ef70e2d6a _ZN7mozilla6detail21ConditionVariableImpl4waitERNS0_9MutexImplE (firefox)
                #2  0x0000561ef70e2c08 _ZN7mozilla6detail21ConditionVariableImpl8wait_forERNS0_9MutexImplERKNS_16BaseTimeDurationINS_27TimeDurationValueCalculatorEEE (firefox)
                #3  0x00007f17309576ad _ZN2js12HelperThread10threadLoopEv (libxul.so)
                #4  0x00007f17309573ba _ZN2js12HelperThread10ThreadMainEPv (libxul.so)
                #5  0x00007f173095734f _ZN2js6detail16ThreadTrampolineIRFvPvEJPNS_12HelperThreadEEE5StartES2_ (libxul.so)
                #6  0x00007f17361915a2 start_thread (libpthread.so.0)
                #7  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5185:
                #0  0x00007f17361974d5 futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f1731d08a6c _ZN10rayon_core5sleep5Sleep5sleep17hf78b32816075c209E (libxul.so)
                #2  0x00007f1731d0ab5f _ZN10rayon_core8registry12WorkerThread15wait_until_cold17h69d9bd74a0657817E (libxul.so)
                #3  0x00007f1731d0a9e4 _ZN3std10sys_common9backtrace28__rust_begin_short_backtrace17h3989f587515edac0E (libxul.so)
                #4  0x00007f1731d0a5ec _ZN50_$LT$F$u20$as$u20$alloc..boxed..FnBox$LT$A$GT$$GT$8call_box17h2ce3b30e6e00bf3dE (libxul.so)
                #5  0x00007f1731d4ba15 _ZN3std3sys4unix6thread6Thread3new12thread_start17hd5dd03146110bb0fE (libxul.so)
                #6  0x00007f17361915a2 start_thread (libpthread.so.0)
                #7  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5183:
                #0  0x00007f17361974d5 futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f1731d08a6c _ZN10rayon_core5sleep5Sleep5sleep17hf78b32816075c209E (libxul.so)
                #2  0x00007f1731d0ab5f _ZN10rayon_core8registry12WorkerThread15wait_until_cold17h69d9bd74a0657817E (libxul.so)
                #3  0x00007f1731d0a9e4 _ZN3std10sys_common9backtrace28__rust_begin_short_backtrace17h3989f587515edac0E (libxul.so)
                #4  0x00007f1731d0a5ec _ZN50_$LT$F$u20$as$u20$alloc..boxed..FnBox$LT$A$GT$$GT$8call_box17h2ce3b30e6e00bf3dE (libxul.so)
                #5  0x00007f1731d4ba15 _ZN3std3sys4unix6thread6Thread3new12thread_start17hd5dd03146110bb0fE (libxul.so)
                #6  0x00007f17361915a2 start_thread (libpthread.so.0)
                #7  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5135:
                #0  0x00007f17361974d5 futex_wait_cancelable (libpthread.so.0)
                #1  0x0000561ef70e2d6a _ZN7mozilla6detail21ConditionVariableImpl4waitERNS0_9MutexImplE (firefox)
                #2  0x0000561ef70e2c08 _ZN7mozilla6detail21ConditionVariableImpl8wait_forERNS0_9MutexImplERKNS_16BaseTimeDurationINS_27TimeDurationValueCalculatorEEE (firefox)
                #3  0x00007f17309576ad _ZN2js12HelperThread10threadLoopEv (libxul.so)
                #4  0x00007f17309573ba _ZN2js12HelperThread10ThreadMainEPv (libxul.so)
                #5  0x00007f173095734f _ZN2js6detail16ThreadTrampolineIRFvPvEJPNS_12HelperThreadEEE5StartES2_ (libxul.so)
                #6  0x00007f17361915a2 start_thread (libpthread.so.0)
                #7  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5149:
                #0  0x00007f1735d46fad syscall (libc.so.6)
                #1  0x00007f173091e30b epoll_wait (libxul.so)
                #2  0x00007f1731735339 _ZN3std10sys_common9backtrace28__rust_begin_short_backtrace17h176d60645bde5d30E (libxul.so)
                #3  0x00007f1731734faf _ZN50_$LT$F$u20$as$u20$alloc..boxed..FnBox$LT$A$GT$$GT$8call_box17h7aaef766e7b5b85eE (libxul.so)
                #4  0x00007f1731d4ba15 _ZN3std3sys4unix6thread6Thread3new12thread_start17hd5dd03146110bb0fE (libxul.so)
                #5  0x00007f17361915a2 start_thread (libpthread.so.0)
                #6  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5324:
                #0  0x00007f17361974d5 futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f16fc36cf2b n/a (radeonsi_dri.so)
                #2  0x00007f16fc36cc6b n/a (radeonsi_dri.so)
                #3  0x00007f17361915a2 start_thread (libpthread.so.0)
                #4  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5254:
                #0  0x00007f173619badd __libc_recvmsg (libpthread.so.0)
                #1  0x00007f17308dd060 _ZN7mozilla13SandboxBroker10ThreadMainEv (libxul.so)
                #2  0x00007f173091c53b _ZL10ThreadFuncPv (libxul.so)
                #3  0x00007f17361915a2 start_thread (libpthread.so.0)
                #4  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5184:
                #0  0x00007f17361974d5 futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f1731d08a6c _ZN10rayon_core5sleep5Sleep5sleep17hf78b32816075c209E (libxul.so)
                #2  0x00007f1731d0ab5f _ZN10rayon_core8registry12WorkerThread15wait_until_cold17h69d9bd74a0657817E (libxul.so)
                #3  0x00007f1731d0a9e4 _ZN3std10sys_common9backtrace28__rust_begin_short_backtrace17h3989f587515edac0E (libxul.so)
                #4  0x00007f1731d0a5ec _ZN50_$LT$F$u20$as$u20$alloc..boxed..FnBox$LT$A$GT$$GT$8call_box17h2ce3b30e6e00bf3dE (libxul.so)
                #5  0x00007f1731d4ba15 _ZN3std3sys4unix6thread6Thread3new12thread_start17hd5dd03146110bb0fE (libxul.so)
                #6  0x00007f17361915a2 start_thread (libpthread.so.0)
                #7  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5331:
                #0  0x00007f17361974d5 futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f173173c6c9 _ZN14tokio_executor4park5Inner4park17h1d6b99a1f52c848dE (libxul.so)
                #2  0x00007f173173c545 _ZN79_$LT$tokio_executor..park..ParkThread$u20$as$u20$tokio_executor..park..Park$GT$4park17h2bb39997fccb84a2E (libxul.so)
                #3  0x00007f1731729227 _ZN90_$LT$tokio_timer..timer..Timer$LT$T$C$$u20$N$GT$$u20$as$u20$tokio_executor..park..Park$GT$4park17h7103d76dcb36ac03E (libxul.so)
                #4  0x00007f1731728a8d _ZN10tokio_core7reactor4Core4poll17h18d4560c5e3ea816E (libxul.so)
                #5  0x00007f17317115d6 _ZN8audioipc4core12spawn_thread28_$u7b$$u7b$closure$u7d$$u7d$28_$u7b$$u7b$closure$u7d$$u7d$17h88396a2ce5b5dd03E (libxul.so)
                #6  0x00007f1731710066 _ZN3std10sys_common9backtrace28__rust_begin_short_backtrace17h3cd75b60112fa54bE (libxul.so)
                #7  0x00007f173170f30f _ZN50_$LT$F$u20$as$u20$alloc..boxed..FnBox$LT$A$GT$$GT$8call_box17h1fe8ed3738c1321eE (libxul.so)
                #8  0x00007f1731d4ba15 _ZN3std3sys4unix6thread6Thread3new12thread_start17hd5dd03146110bb0fE (libxul.so)
                #9  0x00007f17361915a2 start_thread (libpthread.so.0)
                #10 0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5316:
                #0  0x00007f1735d415c7 __GI___poll (libc.so.6)
                #1  0x00007f17171decc6 poll (libpulse.so.0)
                #2  0x00007f17171d01f8 pa_mainloop_poll (libpulse.so.0)
                #3  0x00007f17171d0863 pa_mainloop_iterate (libpulse.so.0)
                #4  0x00007f17171d0910 pa_mainloop_run (libpulse.so.0)
                #5  0x00007f17171dec0d thread (libpulse.so.0)
                #6  0x00007f1717173d0c internal_thread_func (libpulsecommon-12.2.so)
                #7  0x00007f17361915a2 start_thread (libpthread.so.0)
                #8  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5199:
                #0  0x00007f173619badd __libc_recvmsg (libpthread.so.0)
                #1  0x00007f17308dd060 _ZN7mozilla13SandboxBroker10ThreadMainEv (libxul.so)
                #2  0x00007f173091c53b _ZL10ThreadFuncPv (libxul.so)
                #3  0x00007f17361915a2 start_thread (libpthread.so.0)
                #4  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5322:
                #0  0x00007f17361974d5 futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f16fc36cf2b n/a (radeonsi_dri.so)
                #2  0x00007f16fc36cc6b n/a (radeonsi_dri.so)
                #3  0x00007f17361915a2 start_thread (libpthread.so.0)
                #4  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5326:
                #0  0x00007f17361974d5 futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f16fc36cf2b n/a (radeonsi_dri.so)
                #2  0x00007f16fc36cc6b n/a (radeonsi_dri.so)
                #3  0x00007f17361915a2 start_thread (libpthread.so.0)
                #4  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5334:
                #0  0x00007f173619a93d __lll_lock_wait (libpthread.so.0)
                #1  0x00007f1736193dc9 __GI___pthread_mutex_lock (libpthread.so.0)
                #2  0x00007f173171df29 _ZN3std10sys_common9backtrace28__rust_begin_short_backtrace17h378f7650132c96c6E (libxul.so)
                #3  0x00007f173171de0f _ZN50_$LT$F$u20$as$u20$alloc..boxed..FnBox$LT$A$GT$$GT$8call_box17he319f4dec76a2ba5E (libxul.so)
                #4  0x00007f1731d4ba15 _ZN3std3sys4unix6thread6Thread3new12thread_start17hd5dd03146110bb0fE (libxul.so)
                #5  0x00007f17361915a2 start_thread (libpthread.so.0)
                #6  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5327:
                #0  0x00007f17361974d5 futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f16fc36cf2b n/a (radeonsi_dri.so)
                #2  0x00007f16fc36cc6b n/a (radeonsi_dri.so)
                #3  0x00007f17361915a2 start_thread (libpthread.so.0)
                #4  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5328:
                #0  0x00007f17361974d5 futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f16fc36cf2b n/a (radeonsi_dri.so)
                #2  0x00007f16fc36cc6b n/a (radeonsi_dri.so)
                #3  0x00007f17361915a2 start_thread (libpthread.so.0)
                #4  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5325:
                #0  0x00007f17361974d5 futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f16fc36cf2b n/a (radeonsi_dri.so)
                #2  0x00007f16fc36cc6b n/a (radeonsi_dri.so)
                #3  0x00007f17361915a2 start_thread (libpthread.so.0)
                #4  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5323:
                #0  0x00007f17361974d5 futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f16fc36cf2b n/a (radeonsi_dri.so)
                #2  0x00007f16fc36cc6b n/a (radeonsi_dri.so)
                #3  0x00007f17361915a2 start_thread (libpthread.so.0)
                #4  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5332:
                #0  0x00007f1735d46fad syscall (libc.so.6)
                #1  0x00007f173091e30b epoll_wait (libxul.so)
                #2  0x00007f1731735339 _ZN3std10sys_common9backtrace28__rust_begin_short_backtrace17h176d60645bde5d30E (libxul.so)
                #3  0x00007f1731734faf _ZN50_$LT$F$u20$as$u20$alloc..boxed..FnBox$LT$A$GT$$GT$8call_box17h7aaef766e7b5b85eE (libxul.so)
                #4  0x00007f1731d4ba15 _ZN3std3sys4unix6thread6Thread3new12thread_start17hd5dd03146110bb0fE (libxul.so)
                #5  0x00007f17361915a2 start_thread (libpthread.so.0)
                #6  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5333:
                #0  0x00007f17361974d5 futex_wait_cancelable (libpthread.so.0)
                #1  0x00007f1731d437a2 _ZN3std6thread4park17hc0ad2116c1c4aa2dE (libxul.so)
                #2  0x00007f173171e495 _ZN3std10sys_common9backtrace28__rust_begin_short_backtrace17h378f7650132c96c6E (libxul.so)
                #3  0x00007f173171de0f _ZN50_$LT$F$u20$as$u20$alloc..boxed..FnBox$LT$A$GT$$GT$8call_box17he319f4dec76a2ba5E (libxul.so)
                #4  0x00007f1731d4ba15 _ZN3std3sys4unix6thread6Thread3new12thread_start17hd5dd03146110bb0fE (libxul.so)
                #5  0x00007f17361915a2 start_thread (libpthread.so.0)
                #6  0x00007f1735d4c303 __clone (libc.so.6)
                
                Stack trace of thread 5335:
                #0  0x00007f1735d415c7 __GI___poll (libc.so.6)
                #1  0x00007f17171decc6 poll (libpulse.so.0)
                #2  0x00007f17171d01f8 pa_mainloop_poll (libpulse.so.0)
                #3  0x00007f17171d0863 pa_mainloop_iterate (libpulse.so.0)
                #4  0x00007f17171d0910 pa_mainloop_run (libpulse.so.0)
                #5  0x00007f17171dec0d thread (libpulse.so.0)
                #6  0x00007f1717173d0c internal_thread_func (libpulsecommon-12.2.so)
                #7  0x00007f17361915a2 start_thread (libpthread.so.0)
                #8  0x00007f1735d4c303 __clone (libc.so.6)

I suspect the segmentation faults involved the shutdown terminator thread because audit messages like the following were shown in the journal after each crash.

audit[5098]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=5 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=5098 comm="Shutdow~minator" exe="/usr/lib64/firefox/firefox" sig=11 res=1


Version-Release number of selected component (if applicable):
firefox-wayland-0:67.0-4.fc30.x86_64
glib2-0:2.60.3-1.fc30.x86_64
glibc-0:2.29-15.fc30.x86_64
nspr-0:4.21.0-1.fc30.x86_64
plasma-desktop-0:5.15.5-1.fc30.x86_64
pulseaudio-0:12.2-3.fc30.x86_64

How reproducible:
The segmentation faults and freezing occurred 4 of 4 times when I ran Firefox on Wayland on Plasma and Wayland.

Steps to Reproduce:
1. Boot the F30 KDE Plasma spin
2. Log in to Plasma on Wayland from sddm
3. sudo dnf upgrade --refresh --enablerepo=updates-testing
4. sudo dnf install firefox-wayland
5. reboot
6. Log in to Plasma on Wayland from sddm
7. Run Firefox on Wayland
8. Close Firefox
9. coredumpctl
10. gnome-abrt

Actual results:
Segmentation faults occurred each time I closed Firefox on Wayland in Plasma on Wayland.

Expected results:
No crashes or freezing would occur.

Additional info:

Firefox on X doesn't crash in this way or become unresponsive when I've ran it on Plasma on Wayland. Firefox on X had some odd graphical patterns for less than a second when I've started it in Plasma on Wayland.

The system is an HP laptop with AMD A10-9620P CPU and RADEON R5 GPU.

I tried to use gnome-abrt to submit the information, but the trace generation failed on the server. I submitted the crash information archive. I could attach the abrt files here. The gnome-abrt output was as follows.

--- Running report_uReport ---
('report_uReport' completed successfully)

--- Running analyze_CCpp ---
Ok to upload core dump? (It may contain sensitive data). If your answer is 'No', a stack trace will be generated locally. (It may download a huge amount of data). 'YES'
Querying server settings
Preparing an archive to upload
You are going to upload 12.5\u00a0MiB. Continue? 'YES'
Uploading 12.5\u00a0MiB
Upload successful
Retrace job started
Preparing environment for backtrace generation
.......................
Generating backtrace
..................................
Retrace job failed
Retrace failed. Try again later and if the problem persists report this issue please.
    2019-06-08 20:13:39 Analyzing crash data
 2019-06-08 20:13:49 INFO:faf.Coredump2Packages:Executing eu-unstrip
INFO:faf.Coredump2Packages:Mapping build-ids into debuginfo packages
WARNING:faf.Coredump2Packages:No debuginfo found for '21b0eb08f5741242e97635bed4fe356f39ce4937' (/usr/lib64/libx265_main12.so.169)
WARNING:faf.Coredump2Packages:No debuginfo found for '8146aa7fb8e627e8897625c1c942fd856a303536' (/usr/lib64/libxvidcore.so.4.3)
WARNING:faf.Coredump2Packages:No debuginfo found for 'd562bf76f5bf33d9bba589011a010641164f63bb' (/usr/lib64/libx265.so.169)
WARNING:faf.Coredump2Packages:No debuginfo found for 'f6ef801bb692e395cf64a8086fe51da45ee428aa' (/usr/lib64/libx264.so.157)
WARNING:faf.Coredump2Packages:No debuginfo found for '7150739ab3dd186843c3309d00147e41b7f74121' (/usr/lib64/libvo-amrwbenc.so.0.0.4)
WARNING:faf.Coredump2Packages:No debuginfo found for '3fe45f8a458d8ff3effb3a97b1150f114e336b24' (/usr/lib64/libopencore-amrnb.so.0.0.3)
WARNING:faf.Coredump2Packages:No debuginfo found for 'e6b3689dfbe593a3198626519b98e19f016a15ab' (/usr/lib64/libavutil.so.56.22.100)
WARNING:faf.Coredump2Packages:No debuginfo found for '0bc606f7ea51a668ba5b34d81aa0c52fdcff77ce' (/usr/lib64/libavcodec.so.58.35.100)
WARNING:faf.Coredump2Packages:No debuginfo found for '75e41c08e3a5405faca564b6306a2427d1a97340' (/usr/lib64/libopencore-amrwb.so.0.0.3)
WARNING:faf.Coredump2Packages:No debuginfo found for 'cd00c790fa5c28674327ed5068f636cf900a73df' (/usr/lib64/libswresample.so.3.3.100)
INFO:faf.Coredump2Packages:Getting binary packages from debuginfos

    2019-06-08 20:13:49 Preparing environment for backtrace generation
    2019-06-08 20:17:56 Generating backtrace
   2019-06-08 20:24:02 Running GDB failed

Do you want to generate a stack trace locally? (It may download a huge amount of data but reporting can't continue without stack trace). 'NO'
('analyze_CCpp' exited with 1)

--- Running report_EmergencyAnalysis ---
An archive will be created.
This archive is accessible only by ABRT developers.
Therefore if you try to open the produced web location you will not be able to see it.
Compressing data
Sending /var/tmp/ccpp-2019-06-08-14:01:33.511761-5098.tar.gz to https://retrace.fedoraproject.org
Successfully created https://retrace.fedoraproject.org/faf/dumpdirs/new/ccpp-2019-06-08-14:01:33.511761-5098.tar.gz

Comment 1 Martin Stransky 2019-06-13 08:38:26 UTC
I'm afraid Wayland Firefox is anything but stable on KDE, don't expect anything from it. There are KDE compositor specific issues there and I'm going to look at it when Gnome version is finished.

Comment 2 Martin Stransky 2019-11-05 13:04:21 UTC
Can you please test latest mozilla nightly binaries under Wayland? [1]
Thanks.

[1] https://fedoraproject.org/wiki/How_to_debug_Firefox_problems?rd=Bug_info_Firefox#Testing_Mozilla_binaries

Comment 3 Matt Fagnani 2019-11-06 00:10:00 UTC
(In reply to Martin Stransky from comment #2)
> Can you please test latest mozilla nightly binaries under Wayland? [1]
> Thanks.
> 
> [1]
> https://fedoraproject.org/wiki/
> How_to_debug_Firefox_problems?rd=Bug_info_Firefox#Testing_Mozilla_binaries

Martin, I haven't seen shutdown crashes with the trace as I originally reported with 72.0a1 or 70.0-1.fc31 on Wayland in Plasma 5.16.5 on Wayland in F31. I did get one shutdown crash with 72.0a1 (20191024) which looked to have a different trace I reported at https://crash-stats.mozilla.org/report/index/5e570194-f0d9-4cd5-87e6-8468f0191024  I don't remember if that was with 72.0a1 on Wayland or X though. I think some other processes were taking a lot of resources when I had shutdown firefox which led to its shutdown taking longer than the shutdown timeout length and the shutdown terminator thread killing it as shown by the ShutDownKill signature.

I've seen several segmentation faults when closing thunderbird 60.8.0-1.fc31 to 68.2.0-1.fc31 after the ethernet connection locked up which had similar traces of the crashing threads as in the firefox crashes I reported here. https://bugzilla.redhat.com/show_bug.cgi?id=1755092

The thunderbird segmentation faults involved mozilla::(anonymous namespace)::RunWatchdog(void*) at /usr/src/debug/thunderbird-68.1.0-1.fc31.x86_64/toolkit/components/terminator/nsTerminator.cpp:213  The Shutdown Hang Terminator thread is dealt with in that part of RunWatchdog. CrashReporter::SetMinidumpAnalysisAllThreads(); is called at nsTerminator.cpp:211 to crash the process. thunderbird-68.1.0-1 has the option --disable-crashreporter. thunderbird might've been trying to call the crash reporter which was disabled. The firefox crashes might have had a related reason in that the shutdown was taking longer than the default shutdown timeout length. Thanks.

Comment 4 Ben Cotton 2020-04-30 20:45:22 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2020-05-26 17:47:39 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.